PowerPoint3ParserInternal Namespace Reference documentation

PowerPoint3ParserInternal Namespace Reference

Internal: the structures of a PowerPoint3Parser. More...

## Classes
struct | FieldParser
| Internal: virtual field parser of a PowerPoint3Parser. More...
struct | ListZoneIdParser
| Internal: a basic zone id parser of a PowerPoint3Parser. More...
struct | FontNameFieldParser
| Internal: a font name parser of a PowerPoint3Parser. More...
struct | Ruler
| Internal: a ruler. More...
struct | Frame
| Internal: a frame of a PowerPoint3Parser. More...
struct | Polygon
| Internal: a polygon of a PowerPoint3Parser. More...
struct | Scheme
| a scheme of a PowerPoint3Parser More...
struct | SlideFormat
| Internal: the third zone defining a slide of a PowerPoint3Parser. More...
struct | TextZone
| Internal: a text zone of a PowerPoint3Parser. More...
struct | SlideContent
| Internal: a slide of a PowerPoint3Parser. More...
struct | Slide
| Internal: a slide of a PowerPoint3Parser. More...
struct | State
| Internal: the state of a PowerPoint3Parser. More...
class | SubDocument
| Internal: the subdocument of a PowerPointParser. More...

## Functions
int | swapUInt8 (int v)
| swap an uint8_t by 4 offset
int | swapBool8 (int v)
| swap a list of 8 bool
int | swapBool4UInt4 (int v)
| swap a list of 4bool and a int4
int | swapUInt4Bool4 (int v)
| swap a list of a int4 and 4bool

## Detailed Description

Internal: the structures of a PowerPoint3Parser.

## Function Documentation

## ◆ swapBool4UInt4()

int PowerPoint3ParserInternal::swapBool4UInt4 | ( | int | v | ) |

swap a list of 4bool and a int4

Referenced by PowerPoint3Parser::readTextZone().

## ◆ swapBool8()

int PowerPoint3ParserInternal::swapBool8 | ( | int | v | ) |

swap a list of 8 bool

Referenced by PowerPoint3Parser::readFramesList(), PowerPoint3Parser::readSlideFormats(), and PowerPoint3Parser::readTextZone().

## ◆ swapUInt4Bool4()

int PowerPoint3ParserInternal::swapUInt4Bool4 | ( | int | v | ) |

swap a list of a int4 and 4bool

Referenced by PowerPoint3Parser::readFramesList().

## ◆ swapUInt8()

int PowerPoint3ParserInternal::swapUInt8 | ( | int | v | ) |

swap an uint8_t by 4 offset

Referenced by PowerPoint3Parser::readFramesList().